package com.qgs.dc.s7.enums;

import org.apache.plc4x.java.PlcDriverManager;
import org.apache.plc4x.java.api.PlcConnection;
import org.apache.plc4x.java.api.exceptions.PlcConnectionException;
import org.apache.plc4x.java.utils.connectionpool.PooledPlcDriverManager;

/**
 * @Author: 蔡翔
 * @Date: 2019/12/5 14:53
 * @Version 1.0
 */
public enum S7DriveManage {
    INSTANCE("driverManagerPool", new PooledPlcDriverManager())
    ;
    PlcDriverManager driverManager;
    private String desc;

    S7DriveManage(String desc, PooledPlcDriverManager object){
        this.driverManager = object;
        this.desc = desc;
    }

    public PlcDriverManager getInstance(){
        return this.driverManager;
    }

}
